# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.user import User  # noqa: F401,E501
from swagger_server import util


class UserLogin(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, token: str=None, user: User=None):  # noqa: E501
        """UserLogin - a model defined in Swagger

        :param token: The token of this UserLogin.  # noqa: E501
        :type token: str
        :param user: The user of this UserLogin.  # noqa: E501
        :type user: User
        """
        self.swagger_types = {
            'token': str,
            'user': User
        }

        self.attribute_map = {
            'token': 'token',
            'user': 'user'
        }
        self._token = token
        self._user = user

    @classmethod
    def from_dict(cls, dikt) -> 'UserLogin':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The UserLogin of this UserLogin.  # noqa: E501
        :rtype: UserLogin
        """
        return util.deserialize_model(dikt, cls)

    @property
    def token(self) -> str:
        """Gets the token of this UserLogin.


        :return: The token of this UserLogin.
        :rtype: str
        """
        return self._token

    @token.setter
    def token(self, token: str):
        """Sets the token of this UserLogin.


        :param token: The token of this UserLogin.
        :type token: str
        """

        self._token = token

    @property
    def user(self) -> User:
        """Gets the user of this UserLogin.


        :return: The user of this UserLogin.
        :rtype: User
        """
        return self._user

    @user.setter
    def user(self, user: User):
        """Sets the user of this UserLogin.


        :param user: The user of this UserLogin.
        :type user: User
        """

        self._user = user
